Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617564 - Wrong record in grub after remove the last kernel
Wrong record in grub after remove the last kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 08:46 EDT by Sergey Vakula
Modified: 2011-10-21 19:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-21 19:23:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergey Vakula 2010-07-23 08:46:47 EDT
Description of problem:
If RHEL 5.5 have only one kernel and I remove his by rpm -e kernel --force, last record in grub.conf are saves. After installing new kernel by yum install kernel, that record in grub.conf still no changed. System boot fail.

Steps to Reproduce:
1. manually remove all kernels (by rpm, with --force if need)
2. yum install kernel
3. check grub.conf
Comment 1 Eric Sandeen 2010-07-26 16:24:26 EDT
More likely a mkinitrd/grubby problem than a kernel problem.

OTOH removing the only system kernel package with --force isn't treating the system very well... :)
Comment 2 Sergey Vakula 2010-07-27 03:53:06 EDT
What to do if not enough free space at /boot and this space enough for only one kernel? It is for this case apply the mechanism of removal of a single kernel manually by "rpm -e kernel --force" and the next step is installing a new kernel by "yum install kernel".
Comment 3 Brian Lane 2011-10-21 19:23:34 EDT
You shouldn't remove all of the kernels. Make sure your /boot is larger.

Note You need to log in before you can comment on or make changes to this bug.